axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Deepal jayasinghe <deep...@gmail.com>
Subject Re: How to deploy exploded .aar under axis2?
Date Wed, 25 Jul 2007 04:08:45 GMT
I did the same thing and it worked for me as well.

Thanks
Deepal
> Gertjan van Oosten wrote:
>
>> Hi Deepal,
>>
>> As quoted from Deepal jayasinghe <deepalk@gmail.com>:
>>  
>>
>>> If that is the case try to provide me to regenerate the issue , may be
>>> you can write light weight version and send
>>>   
>>
>> It's even simpler than that: I can reproduce it by unpacking the
>> version-1.3-RC2.aar that's bundled with axis2-1.3-RC2.war!
>> So there you go: a perfect testcase for you. ;-)
>>  
>>
>
> I unpacked version-1.3-RC2.aar which comes with Axis2 and restarted
> tomcat (I was running tomcat 6.0.10). I did not get such an error.
> FYI: I attached a screen shot with my exploded aar and tomcat startup.
>
> You will definitely get the following exception if both unpacked aar
> and version-*.aar are placed in the WEB-INF/services directory.
> Probably you haven't removed one of them.
>
> 2007-07-24 22:43:18,703 ERROR
> org.apache.axis2.deployment.ServiceDeployer - The version-1.3-RC2.aar
> service, which is not valid, caused Two services cannot have same
> name.  A service with the Version
> name already exists in the system.
> org.apache.axis2.AxisFault: Two services cannot have same name.  A
> service with the Version name alr
> eady exists in the system.
>        at
> org.apache.axis2.engine.AxisConfiguration.addToAllServicesMap(AxisConfiguration.java:356)
>
>
> Thanks and regards
> Charitha


---------------------------------------------------------------------
To unsubscribe, e-mail: axis-dev-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-dev-help@ws.apache.org


Mime
View raw message